package com.caimei.modules.club.dao;

import com.caimei.modules.club.entity.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


@Mapper
public interface CmUserOrganizeDao {

    List<CmUserOrganize> findList(CmUserOrganize cmUserOrganize);

    Province loadProvinceById(Integer provinceID);

    City loadCityById(Integer cityID);

    Town loadTownByID(Integer townID);

    List<Province> findAllProvince();

    List<City> findAllCity(Long provinceid);

    List<Town> findAllTown(Integer cityid);
}