package com.caimei.modules.club.service.impl;

import com.caimei.modules.club.dao.NewCmClubDao;
import com.caimei.modules.club.entity.NewCmClub;
import com.caimei.modules.club.service.NewCmClubService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class NewCmClubServiceImpl implements NewCmClubService {
    @Autowired
    private NewCmClubDao newCmClubDao;

    @Override
    public NewCmClub findClubById(Integer clubID) {
        List<NewCmClub> newCmClubs = newCmClubDao.findClubById(clubID);
        if (CollectionUtils.isNotEmpty(newCmClubs) && newCmClubs.size() > 0) {
            return newCmClubs.get(0);
        } else {
            return null;
        }
    }

    @Override
    public void insert(NewCmClub newCmClub) {
        newCmClubDao.insert(newCmClub);
    }

    @Override
    public void update(NewCmClub newCmClub) {
        newCmClubDao.update(newCmClub);
    }
}
