package com.caimei.modules.order.entity;


import java.util.Date;
import java.util.List;

/**
 * @author lwt
 * @date 2018-08-13
 * @description 物流信息表
 */
public class LogisticsInformation {
    private Integer logisticsBatchID; // 发货批次表ID
    private String type; // 类型：1 采美365  2 呵呵商城 3 大宗采购'
    private Integer shopOrderID;
    private Integer orderID;
    private String orderProductID;
    private String nu; //快递单号
    private String state; //快递单当前的状态（0：在途，即货物处于运输过程中；1：揽件，货物已由快递公司揽收并且产生了第一条跟踪信息；2：疑难，货物寄送过程出了问题；3：签收，收件人已签收；4：退签，即货物由于用户拒签、超区等原因退回，而且发件人已经签收；5：派件，即快递正在进行同城派件；6：退回，货物正处于退回发件人的途中；）
    private String info; //物流跟踪信息
    private String logisticsCompanyName; //物流公司名称
    private String logisticsCompanyCode; //物流公司代码
    private Integer shopID; //供应商ID
    private String remarks; //备注
    private Date updateDate; //最后更新时间
    private List<LogisticsDetailVo> logisticsDetailVos; // 格式化后的物流跟踪信息

    public Integer getLogisticsBatchID() {
        return logisticsBatchID;
    }

    public void setLogisticsBatchID(Integer logisticsBatchID) {
        this.logisticsBatchID = logisticsBatchID;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getShopOrderID() {
        return shopOrderID;
    }

    public void setShopOrderID(Integer shopOrderID) {
        this.shopOrderID = shopOrderID;
    }

    public Integer getOrderID() {
        return orderID;
    }

    public void setOrderID(Integer orderID) {
        this.orderID = orderID;
    }

    public String getOrderProductID() {
        return orderProductID;
    }

    public void setOrderProductID(String orderProductID) {
        this.orderProductID = orderProductID;
    }

    public String getNu() {
        return nu;
    }

    public void setNu(String nu) {
        this.nu = nu;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public String getLogisticsCompanyName() {
        return logisticsCompanyName;
    }

    public void setLogisticsCompanyName(String logisticsCompanyName) {
        this.logisticsCompanyName = logisticsCompanyName;
    }

    public String getLogisticsCompanyCode() {
        return logisticsCompanyCode;
    }

    public void setLogisticsCompanyCode(String logisticsCompanyCode) {
        this.logisticsCompanyCode = logisticsCompanyCode;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getShopID() {
        return shopID;
    }

    public void setShopID(Integer shopID) {
        this.shopID = shopID;
    }

    public List<LogisticsDetailVo> getLogisticsDetailVos() {
        return logisticsDetailVos;
    }

    public void setLogisticsDetailVos(List<LogisticsDetailVo> logisticsDetailVos) {
        this.logisticsDetailVos = logisticsDetailVos;
    }
}
