package com.caimei.modules.order.entity;

import java.io.Serializable;
import java.util.List;

public class ShopOrderReturned implements Serializable {
    private String shopName;
    private Integer shopID;
    private Integer shopOrderID;
    private String shopOrderNo;
    private String returnedReceiver;
    private String payStatus;//付款供应商)付款状态：1待付款、2部分付款、3已付款
    private String sendOutStatus;//发货状态：1待发货、2部分发货、3已发货
    private Double needPayAmount;
    private Double totalAmount;
    private Double productAmount;//总金额 = 订单商品totalAmount
    private List<CmReturnedPurchaseProduct> cmReturnedPurchaseProductList;

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Integer getShopID() {
        return shopID;
    }

    public void setShopID(Integer shopID) {
        this.shopID = shopID;
    }

    public Integer getShopOrderID() {
        return shopOrderID;
    }

    public void setShopOrderID(Integer shopOrderID) {
        this.shopOrderID = shopOrderID;
    }

    public List<CmReturnedPurchaseProduct> getCmReturnedPurchaseProductList() {
        return cmReturnedPurchaseProductList;
    }

    public void setCmReturnedPurchaseProductList(List<CmReturnedPurchaseProduct> cmReturnedPurchaseProductList) {
        this.cmReturnedPurchaseProductList = cmReturnedPurchaseProductList;
    }

    public String getReturnedReceiver() {
        return returnedReceiver;
    }

    public void setReturnedReceiver(String returnedReceiver) {
        this.returnedReceiver = returnedReceiver;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getSendOutStatus() {
        return sendOutStatus;
    }

    public void setSendOutStatus(String sendOutStatus) {
        this.sendOutStatus = sendOutStatus;
    }

    public Double getNeedPayAmount() {
        return needPayAmount;
    }

    public void setNeedPayAmount(Double needPayAmount) {
        this.needPayAmount = needPayAmount;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Double getProductAmount() {
        return productAmount;
    }

    public void setProductAmount(Double productAmount) {
        this.productAmount = productAmount;
    }

    public String getShopOrderNo() {
        return shopOrderNo;
    }

    public void setShopOrderNo(String shopOrderNo) {
        this.shopOrderNo = shopOrderNo;
    }
}
