package com.caimei.modules.club.service.impl;

import com.caimei.modules.club.dao.CmUserOrganizeDao;
import com.caimei.modules.club.entity.City;
import com.caimei.modules.club.entity.CmUserOrganize;
import com.caimei.modules.club.entity.Province;
import com.caimei.modules.club.entity.Town;
import com.caimei.modules.club.service.CmUserOrganizeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CmUserOrganizeServiceImpl implements CmUserOrganizeService {
    @Autowired
    private CmUserOrganizeDao cmUserOrganizeDao;

    @Override
    public List<CmUserOrganize> findList(CmUserOrganize cmUserOrganize) {
        List<CmUserOrganize> userOrganizeList = cmUserOrganizeDao.findList(cmUserOrganize);
        return userOrganizeList;
    }

    @Override
    public Province loadProvinceById(Integer provinceID) {
        return cmUserOrganizeDao.loadProvinceById(provinceID);
    }

    @Override
    public City loadCityById(Integer cityID) {
        return cmUserOrganizeDao.loadCityById(cityID);
    }

    @Override
    public Town loadTownByID(Integer townID) {
        return cmUserOrganizeDao.loadTownByID(townID);
    }

    @Override
    public List<Province> getProvince() {
        return cmUserOrganizeDao.findAllProvince();
    }

    @Override
    public List<City> getCity(Long provinceid) {
        return cmUserOrganizeDao.findAllCity(provinceid);
    }

    @Override
    public List<Town> getTown(Integer cityid) {
        return cmUserOrganizeDao.findAllTown(cityid);
    }
}
