package com.caimei.modules.order.entity;

import java.io.Serializable;

/**
 * 条款信息Entity
 *
 * @author LG
 * @version 2017-08-24
 */
public class BpClause implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private String name;        // 名称
    private String content;        // 内容
    private String clauseType; //条款类型，0不需要分期中显示 1需要分期中显示，2分期不分期中都显示
    private String enabledStatus;        // 启用/禁用状态

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getClauseType() {
        return clauseType;
    }

    public void setClauseType(String clauseType) {
        this.clauseType = clauseType;
    }

    public String getEnabledStatus() {
        return enabledStatus;
    }

    public void setEnabledStatus(String enabledStatus) {
        this.enabledStatus = enabledStatus;
    }
}