package com.caimei.modules.order.entity;


/**
 * @Author ye.qin
 * @Description //TODO 商品常用一级分类枚举类型
 * @Date 2018/11/27 17:09
 */
public enum ProductType {
    Q1(1021, "轻光电"),
    Q2(1022, "重光电"),
    H1(1020, "仪器耗材"),
    H2(1019, "会所常用品"),
    C1(1018, "产品");

    /** 等级编号 */
    private Integer bigeTypeID;
    /** 等级名称 */
    private String typeName;

    private ProductType(Integer bigeTypeID, String typeName) {
        this.bigeTypeID = bigeTypeID;
        this.typeName = typeName;
    }

    public Integer getBigeTypeID() {
        return bigeTypeID;
    }

    public String getTypeName() {
        return typeName;
    }

    public static String ProductType(int bigeTypeID){
        for(ProductType type : ProductType.values()){
            if(type.getBigeTypeID() == bigeTypeID){
                return type.typeName;
            }
        }
        return "";
    }

}
