package com.caimei.modules.order.service.impl;

import com.caimei.modules.order.dao.CmOrderRemarkDao;
import com.caimei.modules.order.entity.CmOrderRemark;
import com.caimei.modules.order.service.CmOrderRemarkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CmOrderRemarkServiceImpl implements CmOrderRemarkService {
    @Autowired
    private CmOrderRemarkDao cmOrderRemarkDao;

    @Override
    public CmOrderRemark get(String id) {
        return cmOrderRemarkDao.get(id);
    }

    @Override
    public List<CmOrderRemark> findList(CmOrderRemark remark) {
        return cmOrderRemarkDao.findList(remark);
    }

    @Override
    public void save(CmOrderRemark remark) {
        if (remark.getId() == null) {
            cmOrderRemarkDao.insert(remark);
        } else {
            cmOrderRemarkDao.update(remark);
        }
    }
}
